Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(7)

Unified Diff: tool/test.sh

Issue 1641643004: Roll analyzer to 0.27.2-alpha.1 (Closed) Base URL: https://github.com/dart-lang/dev_compiler.git@master
Patch Set: Rerun tests and format Created 4 years, 11 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « tool/sdk_expected_errors.txt ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: tool/test.sh
diff --git a/tool/test.sh b/tool/test.sh
index e57dc992d0763311d5750cf77703e237087c63eb..be87aa79a2110d348ca91094ee5c4da5529d281e 100755
--- a/tool/test.sh
+++ b/tool/test.sh
@@ -15,7 +15,9 @@ cd $( dirname "${BASH_SOURCE[0]}" )/..
# Delete codegen expectation files to be sure that if a test fails to compile
# we don't erroneously pick up the old version.
-rm -r test/codegen/expect || fail
+if [ -d test/codegen/expect ]; then
+ rm -r test/codegen/expect || fail
+fi
# Make sure we don't run tests in code coverage mode.
# this will cause us to generate files that are not part of the baseline
« no previous file with comments | « tool/sdk_expected_errors.txt ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698